import * as react from 'react';
import { useLexicalComposerContext } from '@lexical/react/LexicalComposerContext';

type FloatingMenuComponentProps = {
    editor: ReturnType<typeof useLexicalComposerContext>[0];
    shouldShow: boolean;
};
type FloatingMenuPluginProps = {
    element?: HTMLElement;
    MenuComponent?: React.FC<FloatingMenuComponentProps>;
};
declare function FloatingMenuPlugin({ element, MenuComponent, }: FloatingMenuPluginProps): react.ReactPortal | null;

export { FloatingMenuComponentProps, FloatingMenuPlugin, FloatingMenuPluginProps };
